Get the Okta SSO configuration
curl --request GET \
--url https://pillarforge.corepillar.ai/api/v1/orgs/{orgId}/sso-config \
--cookie session=import requests
url = "https://pillarforge.corepillar.ai/api/v1/orgs/{orgId}/sso-config"
headers = {"cookie": "session="}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {cookie: 'session='}};
fetch('https://pillarforge.corepillar.ai/api/v1/orgs/{orgId}/sso-config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://pillarforge.corepillar.ai/api/v1/orgs/{orgId}/sso-config",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_COOKIE => "session=",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://pillarforge.corepillar.ai/api/v1/orgs/{orgId}/sso-config"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("cookie", "session=")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://pillarforge.corepillar.ai/api/v1/orgs/{orgId}/sso-config")
.header("cookie", "session=")
.asString();require 'uri'
require 'net/http'
url = URI("https://pillarforge.corepillar.ai/api/v1/orgs/{orgId}/sso-config")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["cookie"] = 'session='
response = http.request(request)
puts response.read_body{
"data": {
"config": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"okta_domain": "<string>",
"client_id": "<string>",
"default_role": "admin",
"group_role_mapping": {},
"enforced": true,
"updated_at": "2023-11-07T05:31:56Z"
},
"hasClientSecret": true,
"redirectUri": "<string>"
}
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "<string>",
"details": {}
}
}Get the Okta SSO configuration
The organization’s Okta configuration, with the client secret withheld, and the redirect URI to register in Okta.
Auth: session. Permission: manage_sso.
GET
/
orgs
/
{orgId}
/
sso-config
Get the Okta SSO configuration
curl --request GET \
--url https://pillarforge.corepillar.ai/api/v1/orgs/{orgId}/sso-config \
--cookie session=import requests
url = "https://pillarforge.corepillar.ai/api/v1/orgs/{orgId}/sso-config"
headers = {"cookie": "session="}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {cookie: 'session='}};
fetch('https://pillarforge.corepillar.ai/api/v1/orgs/{orgId}/sso-config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://pillarforge.corepillar.ai/api/v1/orgs/{orgId}/sso-config",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_COOKIE => "session=",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://pillarforge.corepillar.ai/api/v1/orgs/{orgId}/sso-config"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("cookie", "session=")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://pillarforge.corepillar.ai/api/v1/orgs/{orgId}/sso-config")
.header("cookie", "session=")
.asString();require 'uri'
require 'net/http'
url = URI("https://pillarforge.corepillar.ai/api/v1/orgs/{orgId}/sso-config")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["cookie"] = 'session='
response = http.request(request)
puts response.read_body{
"data": {
"config": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"okta_domain": "<string>",
"client_id": "<string>",
"default_role": "admin",
"group_role_mapping": {},
"enforced": true,
"updated_at": "2023-11-07T05:31:56Z"
},
"hasClientSecret": true,
"redirectUri": "<string>"
}
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "<string>",
"details": {}
}
}Authorizations
The session cookie set when you sign in to AgentHub or ModelHub in a browser. The cookie name shown here is illustrative. There are no API tokens for these endpoints.
Path Parameters
Organization id.
Response
Configuration.
Show child attributes
Show child attributes